> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/jpn/apidokyumento/geopard-apirikuesuto/6-kueri-zonesmapswo.md).

# 6. クエリ: 「ZonesMaps」を取得

「Field」の「ZonesMaps」を取得します。

## リクエスト

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetZonesMaps {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]) {
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      vectorAnalysisMaps (vectorAnalysisMapUuids: ["<placeholder_of_vectoranalusismap_uuid>"])  {
        uuid
        fieldUuid
        名前
        タイプ
        numberOfZones
        zonesMapUrl
        parameters {
          pixelSize
          numberOfZones
          index
        }
        geoMaps {
          url
          shortName
          fullName
          説明
        }
      }
    }
  }
}
```

{% endcode %}

## レスポンス

### メタデータ

レスポンスは以下のJSONを含みます。&#x20;

```json
{
  "data": {
    "getFarms": [
      {
        "fields": [
          {
            "vectorAnalysisMaps": [
              {
                "uuid": "ff06c914-7b87-4e67-991e-7b63c29967ee",
                "fieldUuid": "a716fd04-4f78-4ce8-b712-ffb88bd2acdd",
                "name": "GP_Auto_Nitrogen_Use_Efficiency_GP Value",
                "type": "GENERAL",
                "numberOfZones": 5,
                "zonesMapUrl": "https://api.geopard.tech/geo/feature?SERVICE=WFS&VERSION=2.0.0&REQUEST=GetFeature&TYPENAMES=yield_zone_map_view&OUTPUTFORMAT=application/json&VIEWPARAMS=uuid:ff06c914-7b87-4e67-991e-7b63c29967ee",
                "parameters": {
                  "pixelSize": 3,
                  "numberOfZones": 5,
                  "index": null
                },
                "geoMaps": [
                  {
                    "url": "https://api.geopard.tech/geo/map?SERVICE=WMS&VERSION=1.1.1&REQUEST=GetMap&FORMAT=image/png&TRANSPARENT=true&VIEWPARAMS=uuid:ff06c914-7b87-4e67-991e-7b63c29967ee&LAYERS=yield_zone_map_view&exceptions=application/vnd.ogc.se_inimage&SRS=EPSG:3857&STYLES=zonesmap_5&HEIGHT=512&WIDTH=512&BBOX=1241176.6915898728,6782812.894653523,1241800.9875526938,6783974.322349498&",
                    "shortName": "zones",
                    "fullName": null,
                    "description": null
                  },
                  {
                    "url": "https://api.geopard.tech/geo/map/reflect?TRANSPARENT=true&VIEWPARAMS=uuid:ff06c914-7b87-4e67-991e-7b63c29967ee&LAYERS=yield_zone_map_view&SRS=EPSG:3857&STYLES=zonesmap_5&HEIGHT=64&BBOX=1241176.6915898728,6782812.894653523,1241800.9875526938,6783974.322349498&",
                    "shortName": "thumbnail",
                    "fullName": null,
                    "description": null
                  }
                ]
              }
            ]
          }
        ]
      }
    ]
  }
}
```

### ゾーンの統計とジオメトリ

ゾーンの統計とジオメトリの詳細は以下にあります `zonesMapUrl` .

の統計のサンプルは `properties` は下記です。

```json
"properties": {
  "mapUuid": "ff06c914-7b87-4e67-991e-7b63c29967ee",
  "zone": 1,
  "attributes": {
    "avg": 70.427,
    "max": 103.0,
    "min": 56.0,
    "std": 11.456,
    "sum": 30847.0,
    "area": 4000.0073042009,
    "index": "VALUE",
    "median": 66.0
  },
  "createdDate": "2023-10-12T22:09:26.447Z",
  "updatedDate": "2023-10-12T22:09:26.447Z",
  "minZone": 1,
  "avgZone": 3,
  "maxZone": 5,
  "sqm": 4000.01
}
```

### WMS ビジュアライゼーション

ビジュアライゼーションは以下にWMSとしてあります `geoMaps` WMSレンダリングの使い方は説明されています [ここ](/geopard-tutorials/jpn/apidokyumento/dtaakusesunogeoendopointo/wms-dtareiynorasutwo/6-zonesmap-kasutamukarsukma.md) と [ここ](/geopard-tutorials/jpn/apidokyumento/dtaakusesunogeoendopointo/wms-dtareiynorasutwo/7-zonesmap-samuneiru.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/jpn/apidokyumento/geopard-apirikuesuto/6-kueri-zonesmapswo.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
